// BatteryStatus.h
// This is the header file of BatteryStatus.cxx
//
// Copyright (C) 2000 Agenda Computing Inc.
// (C) 2001-2004 Brian Webb, Andreas Holzer, Enrique Vidal
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#ifndef __BATTERY_STATUS_H
#define __BATTERY_STATUS_H

#include <FL/Fl.H>
#include <FL/Fl_Widget.H>
#include <FL/Fl_Button.H>

class BatteryStatus : public Fl_Button {
private:
  int level_percent;
  bool use_label;
  char label_buffer[4];

// protected:        // Made public for easyer handling by non-class functions
//   void draw_box();
//   void draw_label();
//   void draw();

public:
  BatteryStatus (int x, int y, int w, int h, int type, int level = 0);
  void level(int percent);
  int level();
  void set();
  void with_label();
  void without_label();
  void draw_box();
  void draw_label();
  void draw();
};

#endif
