// Fl_Icon.h
// This file is the header file of Fl_Icon.cxx
//
// Copyright (C) 2000 Agenda Computing Inc.
// Written by Derek K.T. Au <phantom@netcom.ca>
// (C) 2001-2004 Brian Webb, Andreas Holzer, Enrique Vidal
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


#ifndef __FL_ICON_H
#define __FL_ICON_H

#include <FL/Fl.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Pixmap.H>

class Fl_Icon : public Fl_Button {
	private:	
		Fl_Pixmap* image;
		bool invert;

		static const int SEPERATOR = 5;
	
	public:
		Fl_Icon(int x, int y, int w, int h, 
                        char* label = 0, Fl_Pixmap* image = 0);
		bool autoadjust;
		void draw();
		
		void invert_pixmap_selection();
		void normal_pixmap_selection();
		
		void invert_image();
};

#endif
