// Fl_XPM.h
// This file is header for Fl_XPM.cxx
//
// Copyright (C) 2000 Agenda Computing Inc.
// Written by Derek K.T. Au <phantom@netcom.ca>
// (C) 2001-2004 Brian Webb, Andreas Holzer, Enrique Vidal
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#ifndef __Fl_XPM_H__
#define __Fl_XPM_H__
#include <FL/Fl.H>
#include <FL/Fl_Pixmap.H>

class Fl_XPM {
	private:
		static char* read_line(const char* s, char** next);

	public:
		static Fl_Pixmap* read(const char* filename);
		static Fl_Pixmap* copy(char *const*xpm);
		static int write(char* filename, Fl_Pixmap* image);

		static void delete_pixmap(Fl_Pixmap* image);
};
#endif
