// Folder.h
// This file is header file for Folder.cxx
//
// Copyright (C) 2000 Agenda Computing Inc.
// Written by Derek K.T. Au <phantom@netcom.ca>
// (C) 2001-2004 Brian Webb, Andreas Holzer, Enrique Vidal
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#ifndef __FOLDER_H
#define __FOLDER_H

#include <FL/Fl.H>
#include <FL/Fl_Pixmap.H>
#include <FL/x.H>
#include <vector>
#include <string>
#include <pair.h>

class Folder;

typedef void (*Folder_List_Callback)
                            (Folder* folder, char* cat, char* name, void* data);
typedef void (*Folder_List_Cat_Callback)(Folder* folder, char* cat, void* data);

class Folder {
	private:
		char* path;
		
		int icon_fd;
		char* icon_list;
		int icon_length;

	public:
		Folder(const char* path);
		~Folder();		
		
		bool list(char* cat, Folder_List_Callback func, void* data);

		Fl_Pixmap* get_pixmap(const char* cat, const char* name);
		
		void refresh_icon();
};

#endif
