// launchpad.h
//
// Copyright (C) 2000 Agenda Computing Inc.
// Written by Derek K.T. Au <phantom@netcom.ca>
// (C) 2001-2004 Brian Webb, Andreas Holzer, Enrique Vidal
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//////////////////////////////////////////////////////////////////////////////

// #define VERSION          "1"  // defined in Makefile
// #define PATCHLEVEL       "7"  // defined in Makefile

#define APPNAME          "FLPad"
#define ROOTPAD_NAME     "Home"
#define ACTIVE_NAME      "Active"

// ---- Preference strings ----
#define SOUND_STR        "sound"
#define BATT_TYPE_STR    "battType"
#define TIME_REFRESH_STR "dateRefresh"
#define BATT_REFRESH_STR "battRefresh"
#define TIME_FORMAT_STR  "dateFormat"
#define BATT_TOOL_STR    "launchBatt"
#define BATT_TOOL1_STR   "launchBatt1"
#define TIME_TOOL_STR    "launchDate"
#define TIME_TOOL1_STR   "launchDate1"
#define LABEL_TOOL_STR   "launchTool"
#define LABEL_TOOL1_STR  "launchTool1"
//
// ---- Defaults ------
#define DEF_SOUND        1   // sound enabled
#define DEF_BATT_TYPE    2   // 0 = Alkaline, 1 = NiCd, 2 = NiMh
#define DEF_TIME_REFRESH 20  // update date/time every 20 seconds
#define DEF_BATT_REFRESH 200 // seconds. Should be > apm_sleep auto-off time
#define DEF_TIME_FORMAT  "%d %a %2H:%2M"  // 24h time, day, day of week
#define DEF_BATT_TOOL    "/usr/bin/flbatt"
#define DEF_BATT_TOOL1   "/usr/bin/power"
#define DEF_TIME_TOOL    "/usr/bin/worldclock"
#define DEF_TIME_TOOL1   "/usr/bin/datetime"
#define DEF_LABEL_TOOL   "/usr/bin/fman"    
#define DEF_LABEL_TOOL1  "/usr/bin/flmon"
