/***************************************************************************
                         myabout.cxx  -  description
                             -------------------
    begin         : Nov 2002
    based on      : myabout.cpp by Christian Traber
    copyright     : (C) 2001 by Christian Traber, (C) 2002 by Enrique Vidal 
    email         : evidal@iti.upv.es

 ***************************************************************************
            flpad 1.7: (C) 2001-2004, B.Webb, A.Holzer, E.Vidal
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "myabout.h"

myAbout::myAbout(const char* application, const char* version)
{
	Fl_App_Window* window = Widget_Factory::new_window(_("About"));
	window->set_modal();

	Fl_Browser* b = Widget_Factory::new_select_browser(0, 0,
		Fl_Group::current()->w(), Fl_Group::current()->h());
	Fl_Group::current()->resizable(b);
	b->callback(done_cb, window);
	b->add("");
	char msg[256];
	sprintf(msg, "@c@b%s %s", application, version);
	b->add(msg);
	b->add("");

	b->add("@cCopyright (C) 2001-2004");
	b->add("@cBrian Webb, Andreas Holzer,");
	b->add("@cEnrique Vidal");

	b->add("@cBased on \"Launch Pad 1.0\"");
	b->add("@c (C) 2001 Agenda Computing Inc.");

	b->add("");
	b->add("@cLicensed under the");
	b->add("@cGNU General Public License.");
	b->add("@cThis is free software, and you");
	b->add("@care welcome to redistribute it");
	b->add("@cunder certain conditions.");

	// b->add("");
	sprintf(msg, "@c%s comes with", application);
	b->add(msg);
	b->add("@cABSOLUTELY NO WARRANTY.");

	window->end();

	Fl_Dockable_Window* toolbar = Widget_Factory::new_toolbar();
	Widget_Factory::new_button(_("Done"), done_cb, window);
	toolbar->end();

	window->add_dockable(toolbar, 1);

	window->show();
}

void myAbout::done_cb(Fl_Widget* w, void* data) {
	Fl_Window* window = reinterpret_cast<Fl_Window*>(data);
	delete window;
}
