// on_screen.cxx
//
// Copyright (C) 2000 Agenda Computing Inc.
// Written by Derek K.T. Au <phantom@netcom.ca>
// (C) 2001-2004 Brian Webb, Andreas Holzer, Enrique Vidal
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Box.H>

#include "on_screen.h"

void on_screen_timeout(void* w) {
#if DEBUG
	fprintf(stderr, "launchpad: on_screen_timeout %p\n", w);
#endif
	reinterpret_cast<Fl_Window*>(w)->hide();
}

void on_screen(const char* s) {
	static Fl_Window* w;
	static Fl_Box* b;

#if DEBUG
	fprintf(stderr, "launchpad: on_screen %s\n", s);
#endif

	if( !w ) {
		w = new Fl_Window((Fl::w() - 100) / 2, 
                                  (Fl::h() - 9) * 2 / 3, 100, 18);
		w->clear_border();
		w->color(FL_BLACK);
		b = new Fl_Box(0, 0, w->w(), w->h());
		b->labelsize(10);
		b->labelcolor(FL_WHITE);
		w->end();
	}

	b->label(s);
	b->redraw();
	w->show();

	Fl::flush();

	Fl::add_timeout((unsigned int)3000, on_screen_timeout, (void*)w);
}
